/* ajax */
#ajax_appendId, #ajax_showId {display: none !important;}
.ajax_loading, .ajax_loading_left, .ajax_loading_inline, .ajax_loading_inline_left { display: block;font-weight: bold;color: #F00; text-align: center; padding: 10px !important; margin: 0 !important;}
.ajax_loading_left { text-align: left; }
.ajax_loading_inline {display: inline-block;}
.ajax_loading_inline_left {display: inline-block; text-align: left;}

/* 隐藏 */
.hidden {display: none;visibility: hidden;}

/* 分页 */
.pagination li {float: left;}
.pagination select { height: 32px;margin: 0 4px;}

/* 表头 字段排序 */
.dataTable th {white-space: nowrap;}
.dataTable th a { display: inline-block; }
.dataTable th.sorting, .dataTable th.sorting_desc, .dataTable th.sorting_asc {padding-right: 22px;}

/* admin */
.input-text-sm { width: 125px; }
.cursor-default { cursor: default !important; }
.cursor-pointer { cursor: pointer !important; }
.inline-block { display: inline-block; }

.flot-left {float: left}
.float-right {float: right}
.text-align-center {text-align: center}
.clearfix {*zoom: 1}
.clearfix:after {visibility: hidden;display: block;font-size: 0;content: " ";clear: both;height: 0}

.color-white, .color-white a, .color-white a:hover {color: #FFF;!important}
.color-blue, .color-blue a, .color-blue a:hover {color: blue;!important}
.color-gray, .color-gray a, .color-gray a:hover {color: #999 !important}
.color-orange, .color-orange a, .color-orange a:hover {color: #f26c4f !important}
.color-red, .color-red a, .color-red a:hover {color: #F00 !important}
.color-green, .color-green a, .color-green a:hover {color: green !important}
.color-green2, .color-green2 a, .color-green2 a:hover {color: #1A9D3A !important}
.color-black, .color-black a, .color-black a:hover {color: black !important}
.color-yellow, .color-yellow a, .color-yellow a:hover {color: yellow !important}
.color-warning, .color-warning a, .color-warning a:hover {color: #ffb752 !important}

.margin-top-5 {margin-top: 5px !important}
.margin-right-5 {margin-right: 5px !important}
.margin-left-5 {margin-left: 5px !important}
.margin-bottom-5 {margin-bottom: 5px !important}

.margin-top-10 {margin-top: 10px !important}
.margin-right-10 {margin-right: 10px !important}
.margin-left-10 {margin-left: 10px !important}
.margin-bottom-10 {margin-bottom: 10px !important}

.margin-top-15 {margin-top: 15px !important}
.margin-right-15 {margin-right: 15px !important}
.margin-left-15 {margin-left: 15px !important}
.margin-bottom-15 {margin-bottom: 15px !important}

.margin-top-20 {margin-top: 20px !important}
.margin-right-20 {margin-right: 20px !important}
.margin-left-20 {margin-left: 20px !important}
.margin-bottom-20 {margin-bottom: 20px !important}

.padding-top-5 {padding-top: 5px !important}
.padding-left-5 {padding-left: 5px !important}
.padding-bottom-5 {padding-bottom: 5px !important}
.padding-right-5 {padding-right: 5px !important}

.padding-top-10 {padding-top: 10px !important}
.padding-left-10 {padding-left: 10px !important}
.padding-bottom-10 {padding-bottom: 10px !important}
.padding-right-10 {padding-right: 10px !important}

.padding-top-15 {padding-top: 15px !important}
.padding-left-15 {padding-left: 15px !important}
.padding-bottom-15 {padding-bottom: 15px !important}
.padding-right-15 {padding-right: 15px !important}

.padding-top-20 {padding-top: 20px !important}
.padding-left-20 {padding-left: 20px !important}
.padding-bottom-20 {padding-bottom: 20px !important}
.padding-right-20 {padding-right: 20px !important}

.font-blod {font-weight: bold}
.font-size-1 {font-size: 16px;}
.font-size-2 {font-size: 18px;}
.font-size-3 {font-size: 20px;}

/* 文字中划线 */
.txt-line-through {text-decoration: line-through;}

/* 
  表格布局FORM表单 
*/
.form-table {min-width: 450px; }
.form-table td {padding: 5px;}
.form-table.td-border td {border: 1px solid #F5F5F5;}
.form-table.input-blod input {font-weight: bold;}

.form-table.table-width0 {width: 450px;}
.form-table.table-width1 {width: 500px;}
.form-table.table-width2 {width: 550px;}
.form-table.table-width3 {width: 600px;}
.form-table.table-width4 {width: 650px;}
.form-table.table-width5 {width: 700px;}
.form-table.table-width6 {width: 750px;}
.form-table.table-width7 {width: 800px;}
.form-table.table-width8 {width: 850px;}
.form-table.table-width9 {width: 900px;}
.form-table.table-width-p100 {width: 100%;}

.form-table .table-title1 {width: 50px; text-align: right;}
.form-table .table-title2 {width: 80px; text-align: right;}
.form-table .table-title3 {width: 100px; text-align: right;}
.form-table .table-title4 {width: 150px; text-align: right;}
.form-table .table-title5 {width: 200px; text-align: right;}
.form-table .table-action {text-align: center;padding-top: 20px;}
.form-table h3 {margin-top: 0;}
.form-table h4 {margin-top: 0;}

/* 全局设置 */
.profile-user-info-striped .profile-info-name {border-top: 1px solid #DDD;}
.profile-user-info-striped .profile-info-value {border-top: 1px solid #DDD;}
.input-text-70 {width: 70px; text-align: center; display: inline-block;margin-bottom: 5px;border: 1px solid #ccc !important;}

.setting-table {width: 90%;}
.setting-table td, .setting-table th {border: 1px solid #5B9BD5; padding: 5px; text-align: center;}
.setting-table th {background: #5B9BD5; color: #FFFFFF;}



/* blog */
.blog-header { background: #467AA7; color: #ffffff; position: relative; }
.blog-header h1 { margin: 0; font-family: "microsoft yahei", "微软雅黑"; font-size: 18px;padding: 20px 10px 10px 12px; }
.blog-header h1 a { color: #ffffff; font-size: 27px; }
.blog-header h1 a:hover { text-decoration: none; }
.blog-header h3 { margin: 0; font-size: 13px; padding: 5px 10px 25px 12px; }
.blog-search { position: absolute; bottom: 15px; right: 12px; }
.blog-search-text { border: 0!important; border-bottom: 1px solid #ffffff!important; background-color: transparent!important; color: #ffffff!important; width: 170px; padding-right: 50px!important; }
.blog-search-submit { position: absolute; top: 0; right: -10px; ;border: 0!important; background-color: transparent!important; width: 60px!important; height: 28px!important; }
.blog-navbar { background: #578bb8; }
.blog-navbar .container { margin:0; padding:0; }
.blog-navbar .navbar-nav > li { border-color:#467AA7; }
.blog-left, .blog-right { margin: 0; padding: 0; background-color: #f2f2f2; }
.blog-left { border-right: 1px solid #e4e4e4; }
.blog-right { border-left: 1px solid #e4e4e4; }
.blog-middle, .blog-middle a { font-size: 15px; }
.blog-middle { padding: 12px 12px 0 12px;}
.blog-middle a { text-decoration: none; }
.blog-middle .pagination { margin: 10px 0; }
.blog-param { padding: 7px 0 10px 0; line-height: 20px; }
.blog-param, .blog-param a { font-size: 13px; }
.blog-title, .blog-title a { font-size: 16px; }
.blog-title { font-weight: bold; padding: 5px; background: #dfefff; border: solid 2px #47a; border-right: solid 2px #000; }

.blog-content { font-size: 16px; line-height: 1.7!important; letter-spacing: 1px; padding-bottom: 20px; word-wrap: break-word;word-break: normal;}
.blog-content a { text-decoration: underline; }
.blog-content img { max-width: 100%!important; height: auto!important;border:1px solid #cccccc}
.blog-content p { margin: 0; padding: 10px 0; }
.blog-content hr { font-size: 0; border: 0; height: 7px; background: url(../../ace-admin/css/images/content-line.jpg) repeat-x 0 0; }
.blog-content br { font-size: 0; height: 0; line-height: 0; }
.blog-content table { margin: 5px 0; }
.blog-content table td, .blog-content table th { border: 1px solid #ccc; padding: 5px; }
.blog-content table th { font-weight: bold; text-align: center; background: #eeeeee; }
.blog-content dd {margin-left: revert!important;}

/* 导航样式类 */
.navbar-red {color: red;background: white;padding: 3px;}
.navbar-yellow {color: yellow;}
.navbar-yellow-bold {color: yellow;background: #467AA7;padding: 3px;font-weight: bold;}

/* markdown-body */
.blog-content h1, .blog-content h2, .blog-content h3, .blog-content h4, .blog-content h5, .blog-content h6 { margin-top: 45px; margin-bottom: 16px; font-size: inherit; font-weight: 600; line-height: 1.25; color: #000; vertical-align: middle }
.blog-content h1 { padding-bottom: .3em; font-size: 26px; color: red; border-bottom: 3px solid #eee; display: inline-block; padding-right: 1em }
.blog-content h2 { padding-bottom: .3em; font-size: 24px; color: red; border-bottom: 3px solid #eee; display: inline-block; padding-right: 1em }
.blog-content h3 { font-size: 22px; color: #0000ff }
.blog-content h4 { font-size: 20px }
.blog-content h5 { font-size: 18px }
.blog-content h6 { font-size: 16px; color: #777 }

.blog-content li>ul, .blog-content li>ol {margin-left:50px;}
.blog-content ul ul ul ul {
    list-style-type: disclosure-closed;
}
.blog-content ul ul ul ul ul {
    list-style-type: disc;
}
.blog-content h1:first-child,
.blog-content h2:first-child,
.blog-content h3:first-child {
    margin-top: 10px;
}
h1 + h2 {
    display: block !important;
    border-bottom: none !important;
    margin-top: 10px !important;
}

h1 + h3 {
     margin-top: 10px !important;
}
h2 + h3 {
     margin-top: 10px !important;
}

code { font-family: Menlo, Monaco, Consolas, "Courier New", monospace; padding: 2px 4px; color: #d14; background-color: #f7f7f9; border: 1px solid #e1e1e8; border-radius: 3px; }

.blog-prev-next { margin-top: 40px; margin-bottom: 40px; }
.blog-archives {display:inline-block;min-width: 300px;border-bottom: 1px dashed #999999;margin-left: 20px}
.blog-archives a { text-decoration: none; margin-left: 20px; }
.blog-footer { margin-top: 20px; background: #DFEFFF; border-top: 1px solid #06C; }
.blog-footer .footer-inner { text-align: center; padding: 15px 0; }

.blog-middle .syntaxhighlighter { font-size: 16px!important; margin-top: 10px!important; margin-bottom: 10px!important; }
.syntaxhighlighter code { color: #afafaf; }
.blog-middle blockquote { padding: 15px; margin: 5px 0; -moz-border-radius: 10px; -webkit-border-radius: 10px; border-radius: 10px; background: #E3E3E3; font-size: inherit; border: none; }
.blog-no-data{text-align: center; padding: 50px;}

/* 回到顶部 */
.btn-scroll-up {right: 18px;}

/* 
 如果宽度大于992px的屏幕，则使用如下样式
 参考：https://www.runoob.com/cssref/css3-pr-mediaquery.html 
*/
@media (min-width: 1200px) {
    .blog-navbar .container {
        width: 99%;
    }
}
@media (min-width: 992px) {
    .blog-navbar .container {
        width: 99%;
    }
    .blog-right.collapse {
        display: block !important;
        visibility: visible !important;
    }
    
    .blog-middle {
        padding: 20px 20px 0 20px;
    }
    
    .navbar-collapse {
        padding-right: 20px;
        padding-left: 20px;
    }
    
    .blog-header h1 {
        padding-left: 20px;
    }
    
    .blog-header h3 {
        padding-left: 20px;
    }
    
    .blog-search {
        right: 20px;
    }
}